﻿using ConsoleApp2.Helpers.Database;

namespace TestProject1;

public static class MesDatabaseHelper
{
    public static async Task<int?> TrySearchCompanyId(string connStr, IEnumerable<string> dbNames, string scalarQuery)
    {
        foreach (var db in dbNames)
        {
            var result = await DatabaseHelper.QueryScalarAsync(connStr + $"Database={db};", scalarQuery);
            if (result is null or 0) continue;
                
            var companyId = Convert.ToInt32(result);
            return companyId;
        }

        return null;
    }
}